From: "Ettore Di Giacinto" <mudler@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: mate-base/mate/
Date: Mon, 21 Nov 2016 11:02:02 +0000 (UTC) [thread overview]
Message-ID: <1479726038.45e96f378143686686d99c49a61d9a438a268d7f.mudler@gentoo> (raw)
commit: 45e96f378143686686d99c49a61d9a438a268d7f
Author: NP-Hardass <NP-Hardass <AT> gentoo <DOT> org>
AuthorDate: Mon Sep 5 18:15:09 2016 +0000
Commit: Ettore Di Giacinto <mudler <AT> gentoo <DOT> org>
CommitDate: Mon Nov 21 11:00:38 2016 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=45e96f37
mate-base/mate: Version bump to 1.14
Package-Manager: portage-2.3.0
mate-base/mate/mate-1.14.ebuild | 85 +++++++++++++++++++++++++++++++++++++++++
1 file changed, 85 insertions(+)
diff --git a/mate-base/mate/mate-1.14.ebuild b/mate-base/mate/mate-1.14.ebuild
new file mode 100644
index 00000000..8372a39
--- /dev/null
+++ b/mate-base/mate/mate-1.14.ebuild
@@ -0,0 +1,85 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=6
+
+if [[ ${PV} == 9999 ]]; then
+ MATE_BRANCH=9999
+ MATE_THEMES_V=9999
+else
+ inherit versionator
+ MATE_BRANCH="$(get_version_component_range 1-2)"
+ MATE_THEMES_V=3
+ KEYWORDS="~amd64 ~arm ~x86"
+fi
+
+SRC_URI=""
+DESCRIPTION="Meta ebuild for MATE, a traditional desktop environment"
+HOMEPAGE="http://mate-desktop.org"
+
+LICENSE="metapackage"
+
+SLOT="0"
+IUSE="+base -bluetooth gtk3 help +notification +themes +extras"
+
+S="${WORKDIR}"
+
+RDEPEND="
+ =mate-base/mate-desktop-${MATE_BRANCH}*:0[gtk3(-)?]
+ =mate-base/mate-menus-${MATE_BRANCH}*:0
+ =mate-base/mate-panel-${MATE_BRANCH}*:0[gtk3(-)?]
+ =mate-base/mate-session-manager-${MATE_BRANCH}*:0[gtk3(-)?]
+ =mate-base/mate-settings-daemon-${MATE_BRANCH}*:0[gtk3(-)?]
+ =x11-wm/marco-${MATE_BRANCH}*:0[gtk3(-)?]
+ base? (
+ =mate-base/caja-${MATE_BRANCH}*:0[gtk3(-)?]
+ =mate-base/mate-applets-meta-${MATE_BRANCH}*:0[gtk3(-)?]
+ =mate-base/mate-control-center-${MATE_BRANCH}*:0[gtk3(-)?]
+ =mate-extra/mate-media-${MATE_BRANCH}*:0[gtk3(-)?]
+ =x11-misc/mozo-${MATE_BRANCH}*:0
+ =x11-terms/mate-terminal-${MATE_BRANCH}*:0[gtk3(-)?]
+ )
+ bluetooth? ( net-wireless/blueman:0 )
+ themes? (
+ =x11-themes/mate-backgrounds-${MATE_BRANCH}*:0
+ =x11-themes/mate-icon-theme-${MATE_BRANCH}*:0
+ >=x11-themes/mate-themes-meta-${MATE_THEMES_V}:0
+ )
+ extras? (
+ =app-arch/engrampa-${MATE_BRANCH}*:0[gtk3(-)?]
+ =app-editors/pluma-${MATE_BRANCH}*:0[gtk3(-)?]
+ =app-text/atril-${MATE_BRANCH}*:0[gtk3(-)?]
+ gnome-extra/gnome-calculator:0
+ =mate-extra/caja-extensions-${MATE_BRANCH}*:0[gtk3(-)?]
+ =mate-extra/mate-netbook-${MATE_BRANCH}*:0[gtk3(-)?]
+ =mate-extra/mate-power-manager-${MATE_BRANCH}*:0[gtk3(-)?]
+ =mate-extra/mate-screensaver-${MATE_BRANCH}*:0[gtk3(-)?]
+ =mate-extra/mate-system-monitor-${MATE_BRANCH}*:0
+ =mate-extra/mate-utils-${MATE_BRANCH}*:0[gtk3(-)?]
+ =media-gfx/eom-${MATE_BRANCH}*:0[gtk3(-)?]
+ sys-apps/gnome-disk-utility:0
+ )
+ help? (
+ gnome-extra/yelp:0
+ =mate-extra/mate-user-guide-${MATE_BRANCH}*:0
+ )
+"
+
+PDEPEND="
+ notification? ( =x11-misc/mate-notification-daemon-${MATE_BRANCH}*:0[gtk3(-)?] )
+ virtual/notification-daemon:0"
+
+pkg_postinst() {
+ elog "For installation, usage and troubleshooting details regarding MATE;"
+ elog "read more about it at Gentoo Wiki: https://wiki.gentoo.org/wiki/MATE"
+ elog ""
+ if ! has_version x11-misc/mate-notification-daemon; then
+ elog "If you experience any issues with notifications, please try using"
+ elog "x11-misc/mate-notification-daemon instead your currently installed daemon"
+ elog ""
+ fi
+ elog "Some packages that are not included in this meta-package but may be of interest:"
+ elog " mate-extra/caja-dropbox"
+ elog " mate-extra/mate-user-share"
+}
next reply other threads:[~2016-11-21 11:02 UTC|newest]
Thread overview: 29+ messages / expand[flat|nested] mbox.gz Atom feed top
2016-11-21 11:02 Ettore Di Giacinto [this message]
-- strict thread matches above, loose matches on Subject: below --
2024-09-10 3:34 [gentoo-commits] repo/gentoo:master commit in: mate-base/mate/ Eli Schwartz
2024-06-18 8:06 Joonas Niilola
2024-01-01 20:35 Sam James
2023-10-19 14:53 Pacho Ramos
2023-10-19 14:53 Pacho Ramos
2022-12-21 10:00 Andreas Sturmlechner
2022-12-16 20:39 Arthur Zamarin
2022-12-03 1:04 Sam James
2022-06-28 2:03 WANG Xuerui
2021-06-03 19:15 Sam James
2020-08-07 3:18 Adam Feldman
2020-04-06 17:49 Adam Feldman
2019-04-22 1:47 Aaron Bauman
2019-03-17 11:11 Mikle Kolyada
2018-09-10 16:19 Mikle Kolyada
2017-06-04 15:18 Ettore Di Giacinto
2016-12-08 15:31 Ettore Di Giacinto
2016-11-24 22:22 Ettore Di Giacinto
2016-10-15 2:59 NP Hardass
2016-10-15 2:59 NP Hardass
2016-09-10 18:23 NP Hardass
2016-09-05 3:31 NP Hardass
2016-08-12 5:13 NP Hardass
2016-07-25 18:36 NP Hardass
2016-05-30 19:18 Mikle Kolyada
2016-02-22 20:48 NP Hardass
2016-02-20 15:55 NP Hardass
2016-02-09 2:49 NP Hardass
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1479726038.45e96f378143686686d99c49a61d9a438a268d7f.mudler@gentoo \
--to=mudler@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox